unit main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, VaClasses, VaComm, StdCtrls;

type
  TForm1 = class(TForm)
    bit0: TCheckBox;
    bit1: TCheckBox;
    bit2: TCheckBox;
    bit3: TCheckBox;
    bit4: TCheckBox;
    bit5: TCheckBox;
    bit6: TCheckBox;
    bit7: TCheckBox;
    POpen: TButton;
    PClose: TButton;
    PSelect: TComboBox;
    SPort: TVaComm;
    procedure POpenClick(Sender: TObject);
    procedure PCloseClick(Sender: TObject);
    procedure DSendClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.POpenClick(Sender: TObject);
begin
  SPort.DeviceName:=PSelect.Text;
  SPort.Open;
  POpen.enabled:=false;
  PClose.Enabled:=true;
end;

procedure TForm1.PCloseClick(Sender: TObject);
begin
  SPort.Close;
  POpen.enabled:=true;
  PClose.Enabled:=false;
end;

procedure TForm1.DSendClick(Sender: TObject);
begin
// rts 7 D
// dtr 4 CP
// txd 3 #STROBE ()
  SPort.SetDTR(false);
  SPort.SetRTS(bit0.Checked);
  SPort.SetDTR(true);
  SPort.SetDTR(false);
  SPort.SetRTS(bit1.Checked);
  SPort.SetDTR(true);
  SPort.SetDTR(false);
  SPort.SetRTS(bit2.Checked);
  SPort.SetDTR(true);
  SPort.SetDTR(false);
  SPort.SetRTS(bit3.Checked);
  SPort.SetDTR(true);
  SPort.SetDTR(false);
  SPort.SetRTS(bit4.Checked);
  SPort.SetDTR(true);
  SPort.SetDTR(false);
  SPort.SetRTS(bit5.Checked);
  SPort.SetDTR(true);
  SPort.SetDTR(false);
  SPort.SetRTS(bit6.Checked);
  SPort.SetDTR(true);
  SPort.SetDTR(false);
  SPort.SetRTS(bit7.Checked);
  SPort.SetDTR(true);
  SPort.SetDTR(false);
  SPort.WriteChar(chr($FF));
end;

end.
